View Issue Details

IDProjectCategoryLast Update
0019572AI War 2[All Projects] Gameplay IssueApr 10, 2018 5:13 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.719 
Fixed in Version0.721-0.722 Down The Wormhole 
Summary0019572: Slow planet load
DescriptionI have a save game with a large battle going on Lampson. When I move my vision to that planet it loads really slowly; feels like something in the vis code, maybe?

This is on the test branch for .719S
TagsNo tags attached.

Relationships

related to 0019414 resolvedx4000Bughunter Slow loading for planet with giant warden fleet 
related to 0019458 consideringx4000Bughunter DrawMeshInstanced implementation for shots and ships. 

Activities

BadgerBadger

Apr 6, 2018 11:27 pm

manager  

SlowPlanetLoad.save (2,901,437 bytes)
SlowPlanetLoad.savemet (46 bytes)

x4000Bughunter

Apr 8, 2018 3:47 pm

administrator   ~0047387

Awesome, this will be a perfect test case for me. Thanks!

x4000Bughunter

Apr 10, 2018 1:52 pm

administrator   ~0047406

How is it for you now?

* Performance! The vast majority of ships (all of those that use "solomesh" style, plus all shots, now use a single shared pool of objects that they update with their own meshes/materials as needed.
** This hasn't cut down on the number of objects that we need to keep in memory much, but it's a first step towards a different form of instancing, and it makes switching to planets with thousands of squads on it vastly faster.
** There are still some notable delays with the "ship to ship lines," although those also have been updated to use this new approach. We're going to be looking into those in general, coming up soon.

BadgerBadger

Apr 10, 2018 5:13 pm

manager   ~0047409

That planet loads pretty much instantly for me now.

Issue History

Date Modified Username Field Change
Apr 6, 2018 11:27 pm BadgerBadger New Issue
Apr 6, 2018 11:27 pm BadgerBadger Status new => assigned
Apr 6, 2018 11:27 pm BadgerBadger Assigned To => x4000Bughunter
Apr 6, 2018 11:27 pm BadgerBadger File Added: SlowPlanetLoad.savemet
Apr 6, 2018 11:27 pm BadgerBadger File Added: SlowPlanetLoad.save
Apr 8, 2018 3:47 pm x4000Bughunter Note Added: 0047387
Apr 10, 2018 1:52 pm x4000Bughunter Note Added: 0047406
Apr 10, 2018 1:52 pm x4000Bughunter Relationship added related to 0019414
Apr 10, 2018 1:53 pm x4000Bughunter Relationship added related to 0019458
Apr 10, 2018 5:13 pm BadgerBadger Status assigned => resolved
Apr 10, 2018 5:13 pm BadgerBadger Resolution open => fixed
Apr 10, 2018 5:13 pm BadgerBadger Fixed in Version => 0.721-0.722 Down The Wormhole
Apr 10, 2018 5:13 pm BadgerBadger Note Added: 0047409